Name:        monoid-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/Monoid.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 MonoidNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MonoidNerdFont-Bold.ttf
install -Dm644 MonoidNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MonoidNerdFontMono-Bold.ttf
install -Dm644 MonoidNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MonoidNerdFontPropo-Bold.ttf
install -Dm644 MonoidNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MonoidNerdFont-Italic.ttf
install -Dm644 MonoidNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MonoidNerdFontMono-Italic.ttf
install -Dm644 MonoidNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MonoidNerdFontPropo-Italic.ttf
install -Dm644 MonoidNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MonoidNerdFont-Regular.ttf
install -Dm644 MonoidNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MonoidNerdFontMono-Regular.ttf
install -Dm644 MonoidNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MonoidNerdFontPropo-Regular.ttf
install -Dm644 MonoidNerdFont-Retina.ttf %{buildroot}%{_datadir}/fonts/%{name}/MonoidNerdFont-Retina.ttf
install -Dm644 MonoidNerdFontMono-Retina.ttf %{buildroot}%{_datadir}/fonts/%{name}/MonoidNerdFontMono-Retina.ttf
install -Dm644 MonoidNerdFontPropo-Retina.ttf %{buildroot}%{_datadir}/fonts/%{name}/MonoidNerdFontPropo-Retina.ttf

%files

%{_datadir}/fonts/%{name}/MonoidNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/MonoidNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/MonoidNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/MonoidNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/MonoidNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/MonoidNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/MonoidNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/MonoidNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/MonoidNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/MonoidNerdFont-Retina.ttf
%{_datadir}/fonts/%{name}/MonoidNerdFontMono-Retina.ttf
%{_datadir}/fonts/%{name}/MonoidNerdFontPropo-Retina.ttf
%license "LICENSE"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0

* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
